<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Model;

class UserDownload extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'user_id',
        'episode_id',
        'interpolated',
    ];

    /**
     * Belongs To A User.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * Belongs To A Episode.
     */
    public function episode(): BelongsTo
    {
        return $this->belongsTo(Episode::class);
    }
}
